%define upstream_name    Bit-Vector
%define upstream_version 7.4

%{?perl_default_filter}

%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(Bit::Vector\\)$

%define TEST 1
%{?_with_test: %{expand: %%global TEST 1}}
%{?_without_test: %{expand: %%global TEST 0}}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    %{upstream_name} module for perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Bit/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp::Clan) >= 5.300.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Storable) >= 2.210.0
BuildRequires: perl-devel
%description
%{upstream_name} module for perl.
Bit::Vector is an efficient C library which allows you to handle
bit vectors, sets (of integers), "big integer arithmetic" and
boolean matrices, all of arbitrary sizes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod -R u+w examples

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build OPTIMIZE="$RPM_OPT_FLAGS"

%check
%if %{TEST}
LANG=C %make_build test
%endif

%install
%make_install

%files
%defattr(-,root,root,755)
%doc META.yml MYMETA.yml examples
%{_mandir}/man3/Bit::Vector*
%dir %{perl_vendorarch}/Bit
%{perl_vendorarch}/Bit/Vector*
%dir %{perl_vendorarch}/auto/Bit
%{perl_vendorarch}/auto/Bit/Vector*


%changelog
* Wed Jun 17 2020 umeabot <umeabot> 7.400.0-13.mga8
+ Revision: 1594309
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 7.400.0-12.mga8
+ Revision: 1528999
- Mageia 8 Mass Rebuild

* Mon Aug 26 2019 tv <tv> 7.400.0-11.mga8
+ Revision: 1432778
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 7.400.0-10.mga7
+ Revision: 1292365
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 guillomovitch <guillomovitch> 7.400.0-9.mga7
+ Revision: 1248053
- new version 2.001003

* Mon Oct 02 2017 tv <tv> 7.400.0-8.mga7
+ Revision: 1163167
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 7.400.0-7.mga7
+ Revision: 1149466
- Rebuild for perl ABI changes

* Sat Jul 22 2017 shlomif <shlomif> 7.400.0-6.mga7
+ Revision: 1127925
- spec modernize

* Sat Jul 22 2017 neoclust <neoclust> 7.400.0-5.mga7
+ Revision: 1126652
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 7.400.0-4.mga6
+ Revision: 1022752
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 7.400.0-3.mga6
+ Revision: 956803
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 7.400.0-2.mga6
+ Revision: 844744
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 7.400.0-1.mga6
+ Revision: 841125
- New version 7.4 + Rebuild for the new perl-5.22.0

* Wed Oct 15 2014 umeabot <umeabot> 7.300.0-6.mga5
+ Revision: 745857
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 7.300.0-5.mga5
+ Revision: 732018
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 7.300.0-4.mga5
+ Revision: 683607
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 7.300.0-3.mga5
+ Revision: 630844
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 7.300.0-2.mga4
+ Revision: 526476
- Mageia 4 Mass Rebuild

* Tue Jun 04 2013 jquelin <jquelin> 7.300.0-1.mga4
+ Revision: 437096
- update to 7.3

* Wed May 29 2013 shlomif <shlomif> 7.200.0-3.mga4
+ Revision: 431810
- Rebuild for new perl: patch to fix

* Sun Jan 13 2013 umeabot <umeabot> 7.200.0-2.mga3
+ Revision: 363369
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 7.200.0-1.mga3
+ Revision: 251649
- update to 7.2
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 7.100.0-5.mga2
+ Revision: 103590
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 7.100.0-4.mga1
+ Revision: 29829
- mageia rebuild
- imported package perl-Bit-Vector

